Installation


Ok, you want to install Perl Node Interface, thank you very much !!!

It is the best way you can help me, any feedback is appreciated.

Requirements: Perl version > 5.8 , and ehmm ... a graphic environment.

This procedure works on any OS with Perl installed.

To install or upgrade open a command prompt and type

cpan PNI


or, if you are on Mac or Ubuntu, prepend a "sudo" to gain root rights.

sudo cpan PNI


This needs and internet connection and it takes just few minutes to run tests and install all the dependencies.

If it is the first time you use the cpan client it will ask you for configuration; don't worry, just hitting the <ENTER> button several times to accepts all defaults should work.

That's it! Now launch pni builtin server

pni daemon
 
and point your browser to http://localhost:3000.